%define oname fox
%define name %{oname}1.6
%define version 1.6.44
%define release %mkrel 1

%define libname %mklibname %{oname} 1.6 0
%define develname %mklibname %{name} -d

Summary:	The FOX C++ GUI Toolkit
Name:		%{name}
Version:	%version
Release:	%release
License:	LGPLv2+
Group:		Development/C++
URL:		http://www.fox-toolkit.org
Source:		http://www.fox-toolkit.org/ftp/%{oname}-%{version}.tar.gz
Patch0:		fox-1.6.36-fix-str-fmt.patch
Patch1:		fox-1.6.43-fix-linkage.patch
BuildRequires:	libmesaglu-devel
BuildRequires:	libcups-devel
BuildRequires:	libbzip2-devel
BuildRequires:	libxft-devel
BuildRequires:	libxcursor-devel
BuildRequires:	libxrandr-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
FOX is a C++-Based Library for Graphical User Interface Development
FOX supports modern GUI features, such as Drag-and-Drop, Tooltips, Tab
Books, Tree Lists, Icons, Multiple-Document Interfaces (MDI), timers,
idle processing, automatic GUI updating, as well as OpenGL/Mesa for
3D graphics.  Subclassing of basic FOX widgets allows for easy
extension beyond the built-in widgets by application writers.

%package -n %{libname}
Summary:	The FOX C++ GUI Toolkit - Libraries
Group:		System/Libraries
Obsoletes:	%{_lib}fox1.6 < 1.6.36-2

%description -n %{libname}
FOX is a C++-Based Library for Graphical User Interface Development
FOX supports modern GUI features, such as Drag-and-Drop, Tooltips, Tab
Books, Tree Lists, Icons, Multiple-Document Interfaces (MDI), timers,
idle processing, automatic GUI updating, as well as OpenGL/Mesa for
3D graphics.  Subclassing of basic FOX widgets allows for easy
extension beyond the built-in widgets by application writers.

%package -n %{develname}
Summary:	FOX header files
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Provides:	fox1.6-devel = %{version}-%{release}
Provides:	libfox1.6-devel = %{version}-%{release}
Conflicts:	fox1.4-devel
Conflicts:	fox1.7-devel

%description -n %{develname}
FOX is a C++-Based Library for Graphical User Interface Development
FOX supports modern GUI features, such as Drag-and-Drop, Tooltips, Tab
Books, Tree Lists, Icons, Multiple-Document Interfaces (MDI), timers,
idle processing, automatic GUI updating, as well as OpenGL/Mesa for
3D graphics.  Subclassing of basic FOX widgets allows for easy
extension beyond the built-in widgets by application writers.

This package contains the necessary files to develop applications
with FOX.

%prep
%setup -q -n %{oname}-%{version}
%patch0 -p0
%patch1 -p0

%build
%configure2_5x \
	--with-opengl=yes \
	--with-xft \
	--with-xcursor \
	--with-xrandr \
	--with-shape \
	--with-xshm \
	--enable-release

%make

%install
rm -rf %{buildroot} installed-docs
%makeinstall_std

mv %{buildroot}%{_datadir}/doc/fox-1.6/* installed-docs
%multiarch_binaries %{buildroot}%{_bindir}/fox-config

rm -rf %buildroot%_prefix/fox %buildroot%_bindir/Adie.stx \
       %buildroot%_bindir/PathFinder %buildroot%_bindir/adie \
       %buildroot%_bindir/calculator %buildroot%_bindir/shutterbug \
       %buildroot%_mandir/man1/PathFinder* %buildroot%_mandir/man1/adie* \
       %buildroot%_mandir/man1/calculator* %buildroot%_mandir/man1/shutterbug*

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif

%clean
rm -rf %{buildroot}

%files -n %{libname}
%defattr(-,root,root)
%doc AUTHORS LICENSE README
%{_libdir}/*-1.6.so.0*

%files -n %{develname}
%defattr(-,root,root)
%doc doc ADDITIONS TRACING
%doc installed-docs
%doc %{_mandir}/man1/reswrap*
%{_bindir}/reswrap
%_bindir/fox-config
%multiarch_bindir/fox-config
%dir %{_includedir}/fox-1.6
%{_includedir}/fox-1.6/*
%{_libdir}/pkgconfig/fox.pc
%{_libdir}/*.so
%{_libdir}/*.a
%attr(644,root,root) %{_libdir}/*.la


%changelog
* Wed May 18 2011 Funda Wang <fwang@mandriva.org> 1.6.44-1mdv2011.0
+ Revision: 676026
- update to new version 1.6.44

* Mon May 09 2011 Funda Wang <fwang@mandriva.org> 1.6.43-1
+ Revision: 672661
- new version 1.6.43

* Mon Dec 06 2010 Funda Wang <fwang@mandriva.org> 1.6.37-3mdv2011.0
+ Revision: 611803
- fix linkage

  + Oden Eriksson <oeriksson@mandriva.com>
    - rebuild

* Sat Jan 16 2010 Funda Wang <fwang@mandriva.org> 1.6.37-2mdv2010.1
+ Revision: 492243
- rebuild for new libjpegv8

* Tue Dec 15 2009 Frederik Himpe <fhimpe@mandriva.org> 1.6.37-1mdv2010.1
+ Revision: 479070
- update to new version 1.6.37

* Sat Aug 22 2009 Funda Wang <fwang@mandriva.org> 1.6.36-2mdv2010.0
+ Revision: 419577
- fix linkage of chart.so
- correct libname

* Sat Aug 22 2009 Funda Wang <fwang@mandriva.org> 1.6.36-1mdv2010.0
+ Revision: 419562
- fix str fmt
- new version 1.6.36

* Wed Dec 10 2008 Götz Waschk <waschk@mandriva.org> 1.6.34-3mdv2009.1
+ Revision: 312447
- disable xim for XFE

* Mon Dec 08 2008 Götz Waschk <waschk@mandriva.org> 1.6.34-2mdv2009.1
+ Revision: 311825
- enable threadsafe library calls

* Mon Dec 08 2008 Götz Waschk <waschk@mandriva.org> 1.6.34-1mdv2009.1
+ Revision: 311756
- new version
- fix spec file
- update to new version 1.6.34

* Thu Aug 07 2008 Thierry Vignaud <tv@mandriva.org> 1.6.33-2mdv2009.0
+ Revision: 266818
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Thu Jun 05 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.6.33-1mdv2009.0
+ Revision: 215242
- update to new version 1.6.33
- add missing buildrequires
- enable xft, xrandr, xshm, xshape and xcirsor support
- disable underlinking

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

  + Pixel <pixel@mandriva.com>
    - revert duplicated useless conflict

* Wed Aug 29 2007 Pixel <pixel@mandriva.com> 1.6.25-2mdv2008.0
+ Revision: 74625
- add explicit conflict on libfox1.4-devel


* Tue Apr 03 2007 Jérôme Soyer <saispo@mandriva.org> 1.6.25-1mdv2007.1
+ Revision: 150282
- New release

* Mon Jan 29 2007 Jérôme Soyer <saispo@mandriva.org> 1.6.20-1mdv2007.1
+ Revision: 115168
- Fix Build
- Import fox1.6

